
Jupiter - Zadanie #1688
Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Konfiguracja sekcji UI
2017-05-17 09:42 - Michał Komar

Status: Rozwiązany Start date: 2017-05-17
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Tester: Michał Komar
Description

Należy utworzyć serwis angularowy sections.service.ts z metodą:

getSections(type:DocumentType): Section[]:
Section -> {
  type:SectionType,
  optional:boolean
}
SectionType {
  name:string
}

    1. Sekcje:
        -  Nazwy - sekcja zawierająca nazwy dokumentu
        -  Abstrakty - sekcja z abstraktami/opisami
        -  Tagi - sekcja z tagami
        -  Identyfikatory - sekcja z identyfikatorami
        -  autorzy - mapują się na contributorów typu AUTHOR
        -  współtwórcy - mapują się na contributorów typu REVIEWER, TRANSLATOR, SUPERVISOR, PUBLISHER
        -  kategorie - definiowanie przypisanych kategorii - trzeba się zastanowić,czy to w ogóle robić
        -  Daty - definiowanie wszystkich rodzajów dat
        -  pełne teksty - sekcja pozwalająca na wgranie pdf-ów itp, z pełnymi tekstami
        -  okładka - sekcja pozwalająca na dodanie grafiki z okładką
        -  języki - zdefiniowanie języków elementu
        -  bibliografia - zarządzanie relacjami RL_REFERENCE_TO = "reference-to" 
        -  relacje 
            -  komenarze  - zarządzanie relacjami RL_COMMENTARY_TO = "commentary-to" 
            -  erraty - RL_ERRATUM_TO = "erratum-to" 
            -  kontynuacje -  RL_CONTINUATION_OF = "continuate", RL_CONTINUATED_BY = "continuated-by";
            -  duplikaty - RL_SAME_AS = "same-as";
        -  atrybuty - sekcja z dodatkowymi atrybutami
    2. Mapowanie typów na sekcje (gwiazdką oznaczone sekcje opcjonalne)
        -  journal -> języki,Nazwy, *Abstrakty, Identyfikatory, *Tagi, *okładka, *współtwórcy, *relacje, *atrybuty 
        -  rok -> Nazwy, *atrybuty 
        -  Wolumin - Nazwy, *Daty, *okładka, *identyfikatory, *atrybuty
        -  Numer - Nazwy, *Daty, *okładka, *identyfikatory, *atrybuty
        -  Artykuł - Nazwy, Abstrakty, *identyfikatory, *Tagi, *pełne teksty,  *autorzy, *współtwórcy, *daty, *języki, *bibliografia, *relacje,
*atrybuty
Associated revisions
Revision 19fe025f - 2017-05-30 12:59 - Monika Maksymiuk

refs #1688 Sekcje w formularzu edycji dokumentu

Revision c42edc8e - 2017-05-31 09:28 - Monika Maksymiuk

refs #1688. Biblioteka ng-page-scroll

History
#1 - 2017-05-17 10:03 - Michał Komar
- Description updated

#2 - 2017-05-17 11:07 - Michał Komar
- Description updated

#3 - 2017-05-17 11:58 - Łukasz Waśkiewicz
- Description updated

#4 - 2017-05-17 12:02 - Łukasz Waśkiewicz
- Description updated

#5 - 2017-06-01 08:37 - Monika Maksymiuk
- Status changed from Nowy to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar
- % Done changed from 0 to 100

#6 - 2017-06-01 09:25 - Michał Komar
- Parent task set to #1616

#7 - 2017-06-07 11:29 - Michał Komar
- Status changed from Testowanie to Rozwiązany

Wygląda ok - nie planowałem rozbicia relacji na tyle sekcji, ale może w praniu wyjdzie czy te rozbicie jest ok.
